LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Hardware (http://www.linuxquestions.org/questions/linux-hardware-18/)
-   -   Help me get the Atheros 5001X wireless driver to work for fujitsu N5010. OS: SUSE 10 (http://www.linuxquestions.org/questions/linux-hardware-18/help-me-get-the-atheros-5001x-wireless-driver-to-work-for-fujitsu-n5010-os-suse-10-a-371187/)

pitchblack 10-09-2005 08:24 AM

Help me get the Atheros 5001X wireless driver to work for fujitsu N5010. OS: SUSE 10
 
I just partioned the hard drive on my fujisu N5010 notebook and install SUSE 10. I did this becuase I thought it would have came with a driver for my wireless NIC. The OS does reconize the pci but it reads as AR5212. I tried to use yast to configure it and nope it doesnt work. I then hooked up the computer to a lan connection and updated the system. I then went through the software packages and installed anything that said wireless. Still no go. I read about the ndiswrapper but I dont think that is the right driver for me. I then read about the madwifi driver and that seems promissing but I don't understand how to install either of these drivers. Can someone that knows anything about this help me out. It is useless having linux on my laptop if i cant get the wireless to work because I dont have a permant lan connection to use.

Help me get the Atheros 5001X wireless driver to work for fujitsu N5010. OS: SUSE 10

XavierP 10-09-2005 10:23 AM

I went to www.google.com/linux and searched for "Atheros 5001X". The first hit said
Quote:

Looks like it has the Atheros 5001X chipset in it (or the 5211; I'm confused). This means it should work with the MadWifi drivers. I am currently investigating. Seems to be working! More soon!
http://madwifi.sourceforge.net/ is where to get the drivers and instructions.

http://www.linuxquestions.org/questi...04/07/4/210330 also has pointers.

pitchblack 10-09-2005 10:00 PM

I still need help
 
I still need help I went to the web site that you told me to got to and entered the command:

cvs -z3 -d:pserver:anonymous@cvs.sourceforge.net:/cvsroot/madwifi \
co madwifi

That appeared to download the current version of thier release but I then tried make and I get an error:

Makefile.inc:122: *** KERNELCONF: /lib/modules/2.6.13-8-smp/build/.config does not exist.. Stop.

What does that mean? Do I have the wrong kernel version. What can I do?


All times are GMT -5. The time now is 03:23 AM.